// org.cocktail.kiwi.client._EnteteMission_EOArchive_English.java
// Generated by EOJavaClientPalette at 2008-01-08 13:39:25 +0000

package org.cocktail.kiwi.client;

import java.awt.Font;
import java.awt.Insets;

import javax.swing.JPanel;
import javax.swing.JTextField;

import com.webobjects.eoapplication.EOArchive;
import com.webobjects.eointerface.swing.EOFrame;
import com.webobjects.eointerface.swing.EOView;
import com.webobjects.eointerface.swing.EOViewLayout;
import com.webobjects.foundation.NSDisposableRegistry;

public class _EnteteMission_EOArchive_English extends com.webobjects.eoapplication.EOArchive {
    EOView _nsBox0, _nsBox1;
    com.webobjects.eointerface.swing.EOFrame _window;
    com.webobjects.eointerface.swing.EOTextArea _nsTextView0;
    com.webobjects.eointerface.swing.EOTextField _nsTextField0, _nsTextField1, _nsTextField10, _nsTextField11, _nsTextField12, _nsTextField13, _nsTextField14, _nsTextField15, _nsTextField16, _nsTextField17, _nsTextField18, _nsTextField19, _nsTextField2, _nsTextField20, _nsTextField21, _nsTextField22, _nsTextField23, _nsTextField24, _nsTextField25, _nsTextField26, _nsTextField27, _nsTextField28, _nsTextField29, _nsTextField3, _nsTextField30, _nsTextField31, _nsTextField4, _nsTextField5, _nsTextField6, _nsTextField7, _nsTextField8, _nsTextField9;
    javax.swing.JButton _nsButton0, _nsButton1, _nsButton10, _nsButton11, _nsButton12, _nsButton13, _nsButton14, _nsButton2, _nsButton3, _nsButton4, _nsButton5, _nsButton6, _nsButton7, _nsButton8, _nsButton9;
    javax.swing.JCheckBox _nsButton15;
    javax.swing.JPanel _nsView0;

    public _EnteteMission_EOArchive_English(Object owner, NSDisposableRegistry registry) {
        super(owner, registry);
    }

    protected void _construct() {
        Object owner = _owner();
        EOArchive._ObjectInstantiationDelegate delegate = (owner instanceof EOArchive._ObjectInstantiationDelegate) ? (EOArchive._ObjectInstantiationDelegate)owner : null;
        Object replacement;

        super._construct();

        _nsTextField31 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField30 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField29 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField28 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField27 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetExercice")) != null)) {
            _nsButton14 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton14");
        } else {
            _nsButton14 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "lblPayeur")) != null)) {
            _nsTextField26 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField26");
        } else {
            _nsTextField26 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAddPayeur")) != null)) {
            _nsButton13 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton13");
        } else {
            _nsButton13 = (javax.swing.JButton)_registered(new javax.swing.JButton(""), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libellePayeurLong")) != null)) {
            _nsTextField25 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField25");
        } else {
            _nsTextField25 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libellePayeurCourt")) != null)) {
            _nsTextField24 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField24");
        } else {
            _nsTextField24 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnModifier")) != null)) {
            _nsButton12 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton12");
        } else {
            _nsButton12 = (javax.swing.JButton)_registered(new javax.swing.JButton("Modif"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "tem53")) != null)) {
            _nsButton15 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JCheckBox)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton15");
        } else {
            _nsButton15 = (javax.swing.JCheckBox)_registered(new javax.swing.JCheckBox("5/3"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "etatBudgetaire")) != null)) {
            _nsTextField23 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField23");
        } else {
            _nsTextField23 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "messageClient")) != null)) {
            _nsTextField22 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField22");
        } else {
            _nsTextField22 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "titreMission")) != null)) {
            _nsTextField21 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField21");
        } else {
            _nsTextField21 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "labelTitreMission")) != null)) {
            _nsTextField20 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField20");
        } else {
            _nsTextField20 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetTitre")) != null)) {
            _nsButton11 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton11");
        } else {
            _nsButton11 = (javax.swing.JButton)_registered(new javax.swing.JButton(""), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "heureFin")) != null)) {
            _nsTextField19 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField19");
        } else {
            _nsTextField19 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "heureDebut")) != null)) {
            _nsTextField18 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField18");
        } else {
            _nsTextField18 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetDateFin")) != null)) {
            _nsButton10 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton10");
        } else {
            _nsButton10 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetDateDebut")) != null)) {
            _nsButton9 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton9");
        } else {
            _nsButton9 = (javax.swing.JButton)_registered(new javax.swing.JButton("Button"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "etatMission")) != null)) {
            _nsTextField17 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField17");
        } else {
            _nsTextField17 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "numeroMission")) != null)) {
            _nsTextField16 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField16");
        } else {
            _nsTextField16 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "motif")) != null)) {
            _nsTextView0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextArea)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextView0");
        } else {
            _nsTextView0 = (com.webobjects.eointerface.swing.EOTextArea)_registered(new com.webobjects.eointerface.swing.EOTextArea(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAnnulerMission")) != null)) {
            _nsButton8 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton8");
        } else {
            _nsButton8 = (javax.swing.JButton)_registered(new javax.swing.JButton("Sup"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAnnulerSaisie")) != null)) {
            _nsButton7 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton7");
        } else {
            _nsButton7 = (javax.swing.JButton)_registered(new javax.swing.JButton("Undo"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnValider")) != null)) {
            _nsButton6 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton6");
        } else {
            _nsButton6 = (javax.swing.JButton)_registered(new javax.swing.JButton("Valid"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnDupliquer")) != null)) {
            _nsButton5 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton5");
        } else {
            _nsButton5 = (javax.swing.JButton)_registered(new javax.swing.JButton("Dupliq"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnRechercherMission")) != null)) {
            _nsButton4 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton4");
        } else {
            _nsButton4 = (javax.swing.JButton)_registered(new javax.swing.JButton("Reche"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "residence")) != null)) {
            _nsTextField15 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField15");
        } else {
            _nsTextField15 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "observation")) != null)) {
            _nsTextField14 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField14");
        } else {
            _nsTextField14 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libelleCorps")) != null)) {
            _nsTextField13 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField13");
        } else {
            _nsTextField13 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "lblResidence")) != null)) {
            _nsTextField12 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField12");
        } else {
            _nsTextField12 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "lblMotif")) != null)) {
            _nsTextField11 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField11");
        } else {
            _nsTextField11 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "lblMissionnaire")) != null)) {
            _nsTextField10 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField10");
        } else {
            _nsTextField10 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "lblFin")) != null)) {
            _nsTextField9 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField9");
        } else {
            _nsTextField9 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "lblDebut")) != null)) {
            _nsTextField8 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField8");
        } else {
            _nsTextField8 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "lblCorps")) != null)) {
            _nsTextField7 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField7");
        } else {
            _nsTextField7 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "lblComplement")) != null)) {
            _nsTextField6 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField6");
        } else {
            _nsTextField6 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "identiteMissionnaire")) != null)) {
            _nsTextField5 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField5");
        } else {
            _nsTextField5 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "finMission")) != null)) {
            _nsTextField4 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField4");
        } else {
            _nsTextField4 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "exercice")) != null)) {
            _nsTextField3 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField3");
        } else {
            _nsTextField3 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "debutMission")) != null)) {
            _nsTextField2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField2");
        } else {
            _nsTextField2 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "complementCorps")) != null)) {
            _nsTextField1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField1");
        } else {
            _nsTextField1 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAddCorps")) != null)) {
            _nsButton3 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton3");
        } else {
            _nsButton3 = (javax.swing.JButton)_registered(new javax.swing.JButton(""), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAddResidence")) != null)) {
            _nsButton2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton2");
        } else {
            _nsButton2 = (javax.swing.JButton)_registered(new javax.swing.JButton(""), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAddMissionnaire")) != null)) {
            _nsButton1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton1");
        } else {
            _nsButton1 = (javax.swing.JButton)_registered(new javax.swing.JButton(""), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAjouterMission")) != null)) {
            _nsButton0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton0");
        } else {
            _nsButton0 = (javax.swing.JButton)_registered(new javax.swing.JButton("Ajout"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "createur")) != null)) {
            _nsTextField0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField0");
        } else {
            _nsTextField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsBox1 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "view")) != null)) {
            _nsBox0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox0");
        } else {
            _nsBox0 = (EOView)_registered(new EOView(), null);
        }

        _window = (EOFrame)_registered(new EOFrame(), "Window");
        _nsView0 = (JPanel)_window.getContentPane();
    }

    protected void _awaken() {
        super._awaken();
        _nsButton14.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getExercice", _nsButton14), "null"));

        if (_replacedObjects.objectForKey("_nsButton14") == null) {
            _connect(_owner(), _nsButton14, "btnGetExercice");
        }

        if (_replacedObjects.objectForKey("_nsTextField26") == null) {
            _connect(_owner(), _nsTextField26, "lblPayeur");
        }

        _nsButton13.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "addPayeur", _nsButton13), "null"));

        if (_replacedObjects.objectForKey("_nsButton13") == null) {
            _connect(_owner(), _nsButton13, "btnAddPayeur");
        }

        if (_replacedObjects.objectForKey("_nsTextField25") == null) {
            _connect(_owner(), _nsTextField25, "libellePayeurLong");
        }

        if (_replacedObjects.objectForKey("_nsTextField24") == null) {
            _connect(_owner(), _nsTextField24, "libellePayeurCourt");
        }

        _nsButton12.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "modifierMission", _nsButton12), "null"));

        if (_replacedObjects.objectForKey("_nsButton12") == null) {
            _connect(_owner(), _nsButton12, "btnModifier");
        }

        if (_replacedObjects.objectForKey("_nsButton15") == null) {
            _connect(_owner(), _nsButton15, "tem53");
        }

        if (_replacedObjects.objectForKey("_nsTextField23") == null) {
            _connect(_owner(), _nsTextField23, "etatBudgetaire");
        }

        if (_replacedObjects.objectForKey("_nsTextField22") == null) {
            _connect(_owner(), _nsTextField22, "messageClient");
        }

        if (_replacedObjects.objectForKey("_nsTextField21") == null) {
            _connect(_owner(), _nsTextField21, "titreMission");
        }

        if (_replacedObjects.objectForKey("_nsTextField20") == null) {
            _connect(_owner(), _nsTextField20, "labelTitreMission");
        }

        _nsButton11.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getTitre", _nsButton11), "null"));

        if (_replacedObjects.objectForKey("_nsButton11") == null) {
            _connect(_owner(), _nsButton11, "btnGetTitre");
        }

        if (_replacedObjects.objectForKey("_nsTextField19") == null) {
            _connect(_owner(), _nsTextField19, "heureFin");
        }

        if (_replacedObjects.objectForKey("_nsTextField18") == null) {
            _connect(_owner(), _nsTextField18, "heureDebut");
        }

        _nsButton10.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getDateFin", _nsButton10), "null"));

        if (_replacedObjects.objectForKey("_nsButton10") == null) {
            _connect(_owner(), _nsButton10, "btnGetDateFin");
        }

        _nsButton9.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getDateDebut", _nsButton9), "null"));

        if (_replacedObjects.objectForKey("_nsButton9") == null) {
            _connect(_owner(), _nsButton9, "btnGetDateDebut");
        }

        if (_replacedObjects.objectForKey("_nsTextField17") == null) {
            _connect(_owner(), _nsTextField17, "etatMission");
        }

        if (_replacedObjects.objectForKey("_nsTextField16") == null) {
            _connect(_owner(), _nsTextField16, "numeroMission");
        }

        if (_replacedObjects.objectForKey("_nsTextView0") == null) {
            _connect(_owner(), _nsTextView0, "motif");
        }

        _nsButton8.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "annulerMission", _nsButton8), "null"));

        if (_replacedObjects.objectForKey("_nsButton8") == null) {
            _connect(_owner(), _nsButton8, "btnAnnulerMission");
        }

        _nsButton7.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "annulerSaisie", _nsButton7), "null"));

        if (_replacedObjects.objectForKey("_nsButton7") == null) {
            _connect(_owner(), _nsButton7, "btnAnnulerSaisie");
        }

        _nsButton6.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "validerMission", _nsButton6), "null"));

        if (_replacedObjects.objectForKey("_nsButton6") == null) {
            _connect(_owner(), _nsButton6, "btnValider");
        }

        _nsButton5.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "dupliquer", _nsButton5), "null"));

        if (_replacedObjects.objectForKey("_nsButton5") == null) {
            _connect(_owner(), _nsButton5, "btnDupliquer");
        }

        _nsButton4.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "rechercherMission", _nsButton4), "null"));

        if (_replacedObjects.objectForKey("_nsButton4") == null) {
            _connect(_owner(), _nsButton4, "btnRechercherMission");
        }

        if (_replacedObjects.objectForKey("_nsTextField15") == null) {
            _connect(_owner(), _nsTextField15, "residence");
        }

        if (_replacedObjects.objectForKey("_nsTextField14") == null) {
            _connect(_owner(), _nsTextField14, "observation");
        }

        if (_replacedObjects.objectForKey("_nsTextField13") == null) {
            _connect(_owner(), _nsTextField13, "libelleCorps");
        }

        if (_replacedObjects.objectForKey("_nsTextField12") == null) {
            _connect(_owner(), _nsTextField12, "lblResidence");
        }

        if (_replacedObjects.objectForKey("_nsTextField11") == null) {
            _connect(_owner(), _nsTextField11, "lblMotif");
        }

        if (_replacedObjects.objectForKey("_nsTextField10") == null) {
            _connect(_owner(), _nsTextField10, "lblMissionnaire");
        }

        if (_replacedObjects.objectForKey("_nsTextField9") == null) {
            _connect(_owner(), _nsTextField9, "lblFin");
        }

        if (_replacedObjects.objectForKey("_nsTextField8") == null) {
            _connect(_owner(), _nsTextField8, "lblDebut");
        }

        if (_replacedObjects.objectForKey("_nsTextField7") == null) {
            _connect(_owner(), _nsTextField7, "lblCorps");
        }

        if (_replacedObjects.objectForKey("_nsTextField6") == null) {
            _connect(_owner(), _nsTextField6, "lblComplement");
        }

        if (_replacedObjects.objectForKey("_nsTextField5") == null) {
            _connect(_owner(), _nsTextField5, "identiteMissionnaire");
        }

        if (_replacedObjects.objectForKey("_nsTextField4") == null) {
            _connect(_owner(), _nsTextField4, "finMission");
        }

        if (_replacedObjects.objectForKey("_nsTextField3") == null) {
            _connect(_owner(), _nsTextField3, "exercice");
        }

        if (_replacedObjects.objectForKey("_nsTextField2") == null) {
            _connect(_owner(), _nsTextField2, "debutMission");
        }

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _connect(_owner(), _nsTextField1, "complementCorps");
        }

        _nsButton3.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "addCorps", _nsButton3), "null"));

        if (_replacedObjects.objectForKey("_nsButton3") == null) {
            _connect(_owner(), _nsButton3, "btnAddCorps");
        }

        _nsButton2.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getResidence", _nsButton2), "null"));

        if (_replacedObjects.objectForKey("_nsButton2") == null) {
            _connect(_owner(), _nsButton2, "btnAddResidence");
        }

        _nsButton1.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "addMissionnaire", _nsButton1), "null"));

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _connect(_owner(), _nsButton1, "btnAddMissionnaire");
        }

        _nsButton0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "ajouterMission", _nsButton0), "null"));

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _connect(_owner(), _nsButton0, "btnAjouterMission");
        }

        if (_replacedObjects.objectForKey("_nsBox0") == null) {
            _connect(_owner(), _nsBox0, "view");
        }

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _connect(_owner(), _nsTextField0, "createur");
        }
    }

    protected void _init() {
        super._init();
        _setFontForComponent(_nsTextField31, "Helvetica", 12, Font.PLAIN);
        _nsTextField31.setEditable(false);
        _nsTextField31.setOpaque(false);
        _nsTextField31.setText("Etat :");
        _nsTextField31.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField31.setSelectable(false);
        _nsTextField31.setEnabled(true);
        _nsTextField31.setBorder(null);
        _setFontForComponent(_nsTextField30, "Helvetica", 12, Font.PLAIN);
        _nsTextField30.setEditable(false);
        _nsTextField30.setOpaque(false);
        _nsTextField30.setText("Num\u00e9ro :");
        _nsTextField30.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField30.setSelectable(false);
        _nsTextField30.setEnabled(true);
        _nsTextField30.setBorder(null);
        _setFontForComponent(_nsTextField29, "Helvetica", 12, Font.PLAIN);
        _nsTextField29.setEditable(false);
        _nsTextField29.setOpaque(false);
        _nsTextField29.setText("Observations :");
        _nsTextField29.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField29.setSelectable(false);
        _nsTextField29.setEnabled(true);
        _nsTextField29.setBorder(null);
        _setFontForComponent(_nsTextField28, "Helvetica", 12, Font.PLAIN);
        _nsTextField28.setEditable(false);
        _nsTextField28.setOpaque(false);
        _nsTextField28.setText("Cr\u00e9ateur :");
        _nsTextField28.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField28.setSelectable(false);
        _nsTextField28.setEnabled(true);
        _nsTextField28.setBorder(null);
        _setFontForComponent(_nsTextField27, "Helvetica", 12, Font.PLAIN);
        _nsTextField27.setEditable(false);
        _nsTextField27.setOpaque(false);
        _nsTextField27.setText("Exercice :");
        _nsTextField27.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField27.setSelectable(false);
        _nsTextField27.setEnabled(true);
        _nsTextField27.setBorder(null);

        if (_replacedObjects.objectForKey("_nsButton14") == null) {
            _setFontForComponent(_nsButton14, "Helvetica", 12, Font.PLAIN);
            _nsButton14.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField26") == null) {
            _setFontForComponent(_nsTextField26, "Helvetica", 12, Font.PLAIN);
            _nsTextField26.setEditable(false);
            _nsTextField26.setOpaque(false);
            _nsTextField26.setText("Payeur :");
            _nsTextField26.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField26.setSelectable(false);
            _nsTextField26.setEnabled(true);
            _nsTextField26.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsButton13") == null) {
            _setFontForComponent(_nsButton13, "Helvetica", 12, Font.PLAIN);
            _nsButton13.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField25") == null) {
            _setFontForComponent(_nsTextField25, "Helvetica", 10, Font.PLAIN);
            _nsTextField25.setEditable(true);
            _nsTextField25.setOpaque(true);
            _nsTextField25.setText("");
            _nsTextField25.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField25.setSelectable(true);
            _nsTextField25.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField24") == null) {
            _setFontForComponent(_nsTextField24, "Helvetica", 10, Font.PLAIN);
            _nsTextField24.setEditable(true);
            _nsTextField24.setOpaque(true);
            _nsTextField24.setText("");
            _nsTextField24.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField24.setSelectable(true);
            _nsTextField24.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsButton12") == null) {
            _setFontForComponent(_nsButton12, "Helvetica", 12, Font.PLAIN);
            _nsButton12.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton15") == null) {
            _setFontForComponent(_nsButton15, "Helvetica", 12, Font.PLAIN);
        }

        if (_replacedObjects.objectForKey("_nsTextField23") == null) {
            _setFontForComponent(_nsTextField23, "Helvetica", 12, Font.PLAIN + Font.BOLD);
            _nsTextField23.setEditable(true);
            _nsTextField23.setOpaque(true);
            _nsTextField23.setText("");
            _nsTextField23.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField23.setSelectable(true);
            _nsTextField23.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField22") == null) {
            _setFontForComponent(_nsTextField22, "Helvetica", 12, Font.PLAIN);
            _nsTextField22.setEditable(false);
            _nsTextField22.setOpaque(false);
            _nsTextField22.setText("");
            _nsTextField22.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField22.setSelectable(false);
            _nsTextField22.setEnabled(true);
            _nsTextField22.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField21") == null) {
            _setFontForComponent(_nsTextField21, "Helvetica", 12, Font.PLAIN + Font.BOLD);
            _nsTextField21.setEditable(true);
            _nsTextField21.setOpaque(true);
            _nsTextField21.setText("");
            _nsTextField21.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField21.setSelectable(true);
            _nsTextField21.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField20") == null) {
            _setFontForComponent(_nsTextField20, "Helvetica", 12, Font.PLAIN);
            _nsTextField20.setEditable(false);
            _nsTextField20.setOpaque(false);
            _nsTextField20.setText("Titre :");
            _nsTextField20.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField20.setSelectable(false);
            _nsTextField20.setEnabled(true);
            _nsTextField20.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsButton11") == null) {
            _setFontForComponent(_nsButton11, "Helvetica", 12, Font.PLAIN);
            _nsButton11.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField19") == null) {
            _setFontForComponent(_nsTextField19, "Helvetica", 12, Font.PLAIN);
            _nsTextField19.setEditable(true);
            _nsTextField19.setOpaque(true);
            _nsTextField19.setText("");
            _nsTextField19.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField19.setSelectable(true);
            _nsTextField19.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField18") == null) {
            _setFontForComponent(_nsTextField18, "Helvetica", 12, Font.PLAIN);
            _nsTextField18.setEditable(true);
            _nsTextField18.setOpaque(true);
            _nsTextField18.setText("");
            _nsTextField18.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField18.setSelectable(true);
            _nsTextField18.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsButton10") == null) {
            _setFontForComponent(_nsButton10, "Helvetica", 12, Font.PLAIN);
            _nsButton10.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton9") == null) {
            _setFontForComponent(_nsButton9, "Helvetica", 12, Font.PLAIN);
            _nsButton9.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField17") == null) {
            _setFontForComponent(_nsTextField17, "Helvetica", 12, Font.PLAIN + Font.BOLD);
            _nsTextField17.setEditable(true);
            _nsTextField17.setOpaque(true);
            _nsTextField17.setText("");
            _nsTextField17.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField17.setSelectable(true);
            _nsTextField17.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField16") == null) {
            _setFontForComponent(_nsTextField16, "Helvetica", 12, Font.PLAIN + Font.BOLD);
            _nsTextField16.setEditable(true);
            _nsTextField16.setOpaque(true);
            _nsTextField16.setText("");
            _nsTextField16.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField16.setSelectable(true);
            _nsTextField16.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextView0") == null) {
            _nsTextView0.setEditable(true);
            _nsTextView0.setOpaque(true);
            _nsTextView0.setText("");
            _setFontForComponent(_nsTextView0.textArea(), "Helvetica", 12, Font.PLAIN);
        }

        if (_replacedObjects.objectForKey("_nsButton8") == null) {
            _setFontForComponent(_nsButton8, "Helvetica", 12, Font.PLAIN);
            _nsButton8.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton7") == null) {
            _setFontForComponent(_nsButton7, "Helvetica", 12, Font.PLAIN);
            _nsButton7.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton6") == null) {
            _setFontForComponent(_nsButton6, "Helvetica", 12, Font.PLAIN);
            _nsButton6.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton5") == null) {
            _setFontForComponent(_nsButton5, "Helvetica", 12, Font.PLAIN);
            _nsButton5.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton4") == null) {
            _setFontForComponent(_nsButton4, "Helvetica", 12, Font.PLAIN);
            _nsButton4.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField15") == null) {
            _setFontForComponent(_nsTextField15, "Helvetica", 12, Font.PLAIN);
            _nsTextField15.setEditable(true);
            _nsTextField15.setOpaque(true);
            _nsTextField15.setText("");
            _nsTextField15.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField15.setSelectable(true);
            _nsTextField15.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField14") == null) {
            _setFontForComponent(_nsTextField14, "Helvetica", 12, Font.PLAIN);
            _nsTextField14.setEditable(true);
            _nsTextField14.setOpaque(true);
            _nsTextField14.setText("");
            _nsTextField14.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField14.setSelectable(true);
            _nsTextField14.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField13") == null) {
            _setFontForComponent(_nsTextField13, "Helvetica", 10, Font.PLAIN);
            _nsTextField13.setEditable(true);
            _nsTextField13.setOpaque(true);
            _nsTextField13.setText("");
            _nsTextField13.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField13.setSelectable(true);
            _nsTextField13.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField12") == null) {
            _setFontForComponent(_nsTextField12, "Helvetica", 12, Font.PLAIN);
            _nsTextField12.setEditable(false);
            _nsTextField12.setOpaque(false);
            _nsTextField12.setText("R\u00e9sid. Admin. :");
            _nsTextField12.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField12.setSelectable(false);
            _nsTextField12.setEnabled(true);
            _nsTextField12.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField11") == null) {
            _setFontForComponent(_nsTextField11, "Helvetica", 12, Font.PLAIN);
            _nsTextField11.setEditable(false);
            _nsTextField11.setOpaque(false);
            _nsTextField11.setText("Motif :");
            _nsTextField11.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField11.setSelectable(false);
            _nsTextField11.setEnabled(true);
            _nsTextField11.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField10") == null) {
            _setFontForComponent(_nsTextField10, "Helvetica", 12, Font.PLAIN);
            _nsTextField10.setEditable(false);
            _nsTextField10.setOpaque(false);
            _nsTextField10.setText("Missionnaire :");
            _nsTextField10.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField10.setSelectable(false);
            _nsTextField10.setEnabled(true);
            _nsTextField10.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField9") == null) {
            _setFontForComponent(_nsTextField9, "Helvetica", 12, Font.PLAIN);
            _nsTextField9.setEditable(false);
            _nsTextField9.setOpaque(false);
            _nsTextField9.setText("Fin :");
            _nsTextField9.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField9.setSelectable(false);
            _nsTextField9.setEnabled(true);
            _nsTextField9.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField8") == null) {
            _setFontForComponent(_nsTextField8, "Helvetica", 12, Font.PLAIN);
            _nsTextField8.setEditable(false);
            _nsTextField8.setOpaque(false);
            _nsTextField8.setText("D\u00e9but :");
            _nsTextField8.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField8.setSelectable(false);
            _nsTextField8.setEnabled(true);
            _nsTextField8.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField7") == null) {
            _setFontForComponent(_nsTextField7, "Helvetica", 12, Font.PLAIN);
            _nsTextField7.setEditable(false);
            _nsTextField7.setOpaque(false);
            _nsTextField7.setText("Corps :");
            _nsTextField7.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField7.setSelectable(false);
            _nsTextField7.setEnabled(true);
            _nsTextField7.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField6") == null) {
            _setFontForComponent(_nsTextField6, "Helvetica", 12, Font.PLAIN);
            _nsTextField6.setEditable(false);
            _nsTextField6.setOpaque(false);
            _nsTextField6.setText("Compl\u00e9ment :");
            _nsTextField6.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField6.setSelectable(false);
            _nsTextField6.setEnabled(true);
            _nsTextField6.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField5") == null) {
            _setFontForComponent(_nsTextField5, "Helvetica", 12, Font.PLAIN);
            _nsTextField5.setEditable(true);
            _nsTextField5.setOpaque(true);
            _nsTextField5.setText("");
            _nsTextField5.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField5.setSelectable(true);
            _nsTextField5.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField4") == null) {
            _setFontForComponent(_nsTextField4, "Helvetica", 12, Font.PLAIN);
            _nsTextField4.setEditable(true);
            _nsTextField4.setOpaque(true);
            _nsTextField4.setText("");
            _nsTextField4.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField4.setSelectable(true);
            _nsTextField4.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField3") == null) {
            _setFontForComponent(_nsTextField3, "Helvetica", 12, Font.PLAIN);
            _nsTextField3.setEditable(true);
            _nsTextField3.setOpaque(true);
            _nsTextField3.setText("");
            _nsTextField3.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField3.setSelectable(true);
            _nsTextField3.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField2") == null) {
            _setFontForComponent(_nsTextField2, "Helvetica", 12, Font.PLAIN);
            _nsTextField2.setEditable(true);
            _nsTextField2.setOpaque(true);
            _nsTextField2.setText("");
            _nsTextField2.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField2.setSelectable(true);
            _nsTextField2.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _setFontForComponent(_nsTextField1, "Helvetica", 10, Font.PLAIN);
            _nsTextField1.setEditable(true);
            _nsTextField1.setOpaque(true);
            _nsTextField1.setText("");
            _nsTextField1.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField1.setSelectable(true);
            _nsTextField1.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsButton3") == null) {
            _setFontForComponent(_nsButton3, "Helvetica", 12, Font.PLAIN);
            _nsButton3.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton2") == null) {
            _setFontForComponent(_nsButton2, "Helvetica", 12, Font.PLAIN);
            _nsButton2.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _setFontForComponent(_nsButton1, "Helvetica", 12, Font.PLAIN);
            _nsButton1.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _setFontForComponent(_nsButton0, "Helvetica", 12, Font.PLAIN);
            _nsButton0.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _setFontForComponent(_nsTextField0, "Helvetica", 12, Font.PLAIN);
            _nsTextField0.setEditable(true);
            _nsTextField0.setOpaque(true);
            _nsTextField0.setText("");
            _nsTextField0.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField0.setSelectable(true);
            _nsTextField0.setEnabled(true);
        }

        if ((_nsBox1.getLayout() instanceof EOViewLayout) == false) _nsBox1.setLayout(new EOViewLayout());
        _nsTextField0.setSize(155, 21);
        _nsTextField0.setLocation(472, 173);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField0, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField0);
        _nsTextField3.setSize(48, 21);
        _nsTextField3.setLocation(694, 173);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField3, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField3);
        _nsTextField2.setSize(107, 21);
        _nsTextField2.setLocation(473, 8);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField2, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField2);
        _nsTextField13.setSize(262, 19);
        _nsTextField13.setLocation(118, 123);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField13, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField13);
        _nsTextField1.setSize(260, 19);
        _nsTextField1.setLocation(118, 145);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField1, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField1);
        _nsTextField15.setSize(219, 21);
        _nsTextField15.setLocation(119, 91);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField15, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField15);
        _nsTextField27.setSize(64, 15);
        _nsTextField27.setLocation(626, 176);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField27, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField27);
        _nsTextField28.setSize(76, 15);
        _nsTextField28.setLocation(395, 175);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField28, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField28);
        _nsTextField14.setSize(289, 21);
        _nsTextField14.setLocation(472, 144);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField14, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField14);
        _nsTextField29.setSize(95, 15);
        _nsTextField29.setLocation(376, 146);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField29, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField29);
        _nsTextView0.setSize(290, 79);
        _nsTextView0.setLocation(472, 60);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextView0, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextView0);
        _nsTextField11.setSize(82, 15);
        _nsTextField11.setLocation(387, 62);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField11, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField11);
        _nsTextField4.setSize(108, 21);
        _nsTextField4.setLocation(472, 35);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField4, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField4);
        _nsTextField9.setSize(37, 15);
        _nsTextField9.setLocation(431, 37);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField9, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField9);
        _nsTextField8.setSize(59, 15);
        _nsTextField8.setLocation(410, 9);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField8, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField8);
        _nsTextField30.setSize(95, 15);
        _nsTextField30.setLocation(-7, 10);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField30, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField30);
        _nsTextField10.setSize(95, 15);
        _nsTextField10.setLocation(-9, 64);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField10, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField10);
        _nsTextField12.setSize(95, 15);
        _nsTextField12.setLocation(-9, 92);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField12, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField12);
        _nsTextField7.setSize(95, 15);
        _nsTextField7.setLocation(-10, 125);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField7, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField7);
        _nsTextField6.setSize(95, 15);
        _nsTextField6.setLocation(-10, 147);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField6, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField6);
        _nsTextField5.setSize(258, 21);
        _nsTextField5.setLocation(119, 64);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField5, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField5);
        _nsTextField16.setSize(55, 21);
        _nsTextField16.setLocation(98, 8);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField16, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField16);
        _nsTextField31.setSize(44, 15);
        _nsTextField31.setLocation(147, 11);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField31, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField31);
        _nsTextField17.setSize(77, 21);
        _nsTextField17.setLocation(193, 8);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField17, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField17);
        _nsButton3.setSize(20, 20);
        _nsButton3.setLocation(96, 121);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton3, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton3);
        _nsButton1.setSize(20, 20);
        _nsButton1.setLocation(97, 64);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton1, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton1);
        _nsButton2.setSize(20, 20);
        _nsButton2.setLocation(97, 91);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton2, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton2);
        _nsButton0.setSize(50, 26);
        _nsButton0.setLocation(778, 46);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton0, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton0);
        _nsButton4.setSize(50, 26);
        _nsButton4.setLocation(778, 5);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton4, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton4);
        _nsButton5.setSize(50, 24);
        _nsButton5.setLocation(778, 145);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton5, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton5);
        _nsButton6.setSize(50, 24);
        _nsButton6.setLocation(778, 57);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton6, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton6);
        _nsButton8.setSize(51, 24);
        _nsButton8.setLocation(777, 106);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton8, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton8);
        _nsButton7.setSize(50, 24);
        _nsButton7.setLocation(778, 88);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton7, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton7);
        _nsButton9.setSize(20, 20);
        _nsButton9.setLocation(581, 9);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton9, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton9);
        _nsButton10.setSize(20, 20);
        _nsButton10.setLocation(581, 36);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton10, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton10);
        _nsTextField18.setSize(50, 21);
        _nsTextField18.setLocation(608, 9);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField18, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField18);
        _nsTextField19.setSize(50, 21);
        _nsTextField19.setLocation(608, 35);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField19, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField19);
        _nsTextField20.setSize(95, 15);
        _nsTextField20.setLocation(-8, 38);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField20, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField20);
        _nsTextField21.setSize(258, 21);
        _nsTextField21.setLocation(120, 38);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField21, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField21);
        _nsButton11.setSize(20, 20);
        _nsButton11.setLocation(98, 38);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton11, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton11);
        _nsTextField23.setSize(77, 21);
        _nsTextField23.setLocation(273, 8);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField23, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField23);
        _nsButton15.setSize(48, 15);
        _nsButton15.setLocation(343, 94);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton15, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton15);
        _nsButton12.setSize(50, 24);
        _nsButton12.setLocation(778, 77);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton12, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton12);
        _nsTextField24.setSize(67, 19);
        _nsTextField24.setLocation(118, 172);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField24, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField24);
        _nsTextField26.setSize(65, 15);
        _nsTextField26.setLocation(22, 174);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField26, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField26);
        _nsTextField25.setSize(193, 19);
        _nsTextField25.setLocation(186, 172);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField25, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField25);
        _nsButton13.setSize(20, 20);
        _nsButton13.setLocation(96, 171);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton13, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton13);
        _nsButton14.setSize(20, 20);
        _nsButton14.setLocation(743, 174);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton14, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton14);

        if (_replacedObjects.objectForKey("_nsBox0") == null) {
            if ((_nsBox0.getLayout() instanceof EOViewLayout) == false) _nsBox0.setLayout(new EOViewLayout());
            _nsBox1.setSize(834, 202);
            _nsBox1.setLocation(1, 1);
            ((EOViewLayout)_nsBox0.getLayout()).setAutosizingMask(_nsBox1, EOViewLayout.MinYMargin);
            _nsBox0.add(_nsBox1);
            _nsBox0.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if ((_nsView0.getLayout() instanceof EOViewLayout) == false) _nsView0.setLayout(new EOViewLayout());
        _nsBox0.setSize(836, 204);
        _nsBox0.setLocation(19, 13);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsBox0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsBox0);
        _nsTextField22.setSize(304, 15);
        _nsTextField22.setLocation(485, 19);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField22, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField22);
        _nsView0.setSize(880, 353);
        _window.setTitle("Entete Mission");
        _window.setLocation(302, 547);
        _window.setSize(880, 353);
    }
}
